varying vec3 lightDiff;
varying vec3 normal;
varying vec3 vert;

void main()
{
	gl_Position = ftransform();
	normal = gl_NormalMatrix * gl_Normal;
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_TexCoord[1] = gl_MultiTexCoord1;
	gl_TexCoord[2] = gl_MultiTexCoord2;
	gl_TexCoord[3] = gl_MultiTexCoord3;
	gl_FrontColor = gl_Color;
	
	vert = vec3(gl_ModelViewMatrix * gl_Vertex);
}
